Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
GETElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

QueryBareMetal2ProvisionNetwork

QueryBareMetal2ProvisionNetwork

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The deployment network UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The name of the deployment network.

    • descriptionStringRequired

      The detailed description of the deployment network.

    • dhcpInterfaceStringRequired

      The name of the DHCP NIC.

    • dhcpRangeStartIpStringRequired

      The starting IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeEndIpStringRequired

      The ending IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeNetmaskStringRequired

      The netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.

    • dhcpRangeGatewayStringRequired

      The gateway IP address.

    • dhcpRangeNetworkCidrStringRequired

      The CIDR block.

    • stateStringRequired

      The state of the deployment network.

    • createDateTimestampRequired

      The time when the deployment network was created.

    • lastOpDateTimestampRequired

      The time when the deployment network was last modified.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

GET/zstack/v1/baremetal2/provision-networks

/zstack/v1/baremetal2/provision-networks

Operation ID

QueryBareMetal2ProvisionNetwork

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal2/provision-networks' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "dc29aa53b5624dca835173938e8fee4b", "zoneUuid": "6f25b0e09f46488ba7c29d16a45a0257", "name": "BM_PROVISION_NETWORK", "description": "This is a bare metal provision network.", "dhcpInterface": "eth0", "dhcpRangeStartIp": "192.168.0.10", "dhcpRangeEndIp": "192.168.0.100", "dhcpRangeNetmask": "255.255.255.0", "dhcpRangeGateway": "192.168.0.1", "dhcpRangeNetworkCidr": "192.168.0.10/24", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history